-- 基础信息
base_info = {
	group_id = 247006011
}

-- DEFS_MISCS
local GroupId = 247006011
local point_id_list = {}
local MainGroupID = 247006001
local RegionID = 11001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 11001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = -159.993, y = 0.050, z = 239.991 } }
}

-- 触发器
triggers = {
	{ config_id = 1011001, name = "ENTER_REGION_11001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 11002, pos = { x = -160.043, y = 0.039, z = 253.368 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 11003, pos = { x = -163.038, y = 0.039, z = 252.666 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 11004, pos = { x = -156.816, y = 0.039, z = 252.782 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 11005, pos = { x = -166.950, y = 0.039, z = 251.458 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 11006, pos = { x = -152.878, y = 0.039, z = 251.011 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 11007, pos = { x = -169.397, y = 0.039, z = 248.959 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 11008, pos = { x = -149.643, y = 0.039, z = 248.976 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 11009, pos = { x = -170.209, y = 0.039, z = 246.424 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 11010, pos = { x = -149.529, y = 0.039, z = 246.075 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 11011, pos = { x = -170.259, y = 0.039, z = 243.330 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 11012, pos = { x = -159.974, y = 0.039, z = 252.055 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 11013, pos = { x = -164.869, y = 0.039, z = 250.090 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 11014, pos = { x = -154.919, y = 0.039, z = 250.263 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 11015, pos = { x = -168.270, y = 0.039, z = 246.992 }, rot = { x = 0.000, y = 120.000, z = 0.000 }, tag = 4 },
	{ config_id = 11016, pos = { x = -150.733, y = 0.039, z = 245.971 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 4 },
	{ config_id = 11017, pos = { x = -167.821, y = 0.039, z = 241.336 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 11018, pos = { x = -151.322, y = 0.039, z = 240.056 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 4 },
	{ config_id = 11019, pos = { x = -164.813, y = 0.039, z = 237.524 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 4 },
	{ config_id = 11020, pos = { x = -154.742, y = 0.039, z = 236.715 }, rot = { x = 0.000, y = 300.000, z = 0.000 }, tag = 4 },
	{ config_id = 11021, pos = { x = -159.982, y = 0.039, z = 234.660 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 11022, pos = { x = -169.988, y = 0.039, z = 252.397 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 11023, pos = { x = -149.922, y = 0.039, z = 252.397 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 11024, pos = { x = -169.988, y = 0.039, z = 233.372 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 11025, pos = { x = -149.922, y = 0.039, z = 233.372 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 11026, pos = { x = -168.255, y = 0.039, z = 252.397 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 11027, pos = { x = -148.188, y = 0.039, z = 252.397 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 11028, pos = { x = -168.255, y = 0.039, z = 233.372 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 11029, pos = { x = -148.188, y = 0.039, z = 233.372 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 11030, pos = { x = -172.671, y = 0.039, z = 252.397 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 11031, pos = { x = -152.604, y = 0.039, z = 252.397 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 11032, pos = { x = -172.671, y = 0.039, z = 233.372 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 11033, pos = { x = -152.604, y = 0.039, z = 233.372 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 11034, pos = { x = -161.169, y = 0.039, z = 246.407 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 11035, pos = { x = -158.936, y = 0.039, z = 246.407 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 11036, pos = { x = -163.082, y = 0.039, z = 246.407 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 11037, pos = { x = -156.890, y = 0.039, z = 246.407 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 11038, pos = { x = -164.954, y = 0.039, z = 246.407 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 11039, pos = { x = -155.052, y = 0.039, z = 246.407 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 11040, pos = { x = -163.199, y = 0.039, z = 244.036 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 11041, pos = { x = -157.152, y = 0.039, z = 244.036 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 11042, pos = { x = -158.936, y = 0.039, z = 244.036 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 11043, pos = { x = -161.169, y = 0.039, z = 244.036 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 11044, pos = { x = -160.018, y = 0.109, z = 247.086 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 32 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 11001 },
		triggers = { "ENTER_REGION_11001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
